Skip to content
API referencePlatformPlatform billing

Get_coupon

GET
/platform/v1/billing/coupons/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Formatuuid

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/platform/v1/billing/coupons/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
{  "active": true,  "applies_to": null,  "code": "string",  "created_at": "2019-08-24T14:15:22Z",  "currency": "string",  "duration": "string",  "duration_in_months": 0,  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "string",  "max_redemptions": 0,  "redeem_by": "2019-08-24T14:15:22Z",  "stripe_coupon_id": "string",  "stripe_promotion_code_id": "string",  "times_redeemed": 0,  "updated_at": "2019-08-24T14:15:22Z",  "value_minor": 0}